// Project Sword & Gun Copyright © 2021 Kevin Poretti


#include "Weapons/SNGRangedWeaponBase.h"

ASNGRangedWeaponBase::ASNGRangedWeaponBase()
{
	MuzzleSocketName = "Muzzle";
	TracerTargetName = "TraceEnd";

	RateOfFire = 60.0f;
	MaxAmmoCount = 6;
}

void ASNGRangedWeaponBase::StartFire()
{
}

void ASNGRangedWeaponBase::StopFire()
{
}

void ASNGRangedWeaponBase::Reload()
{
}

bool ASNGRangedWeaponBase::CanReload()
{
	return false;
}

bool ASNGRangedWeaponBase::CanFire()
{
	return false;
}

void ASNGRangedWeaponBase::BeginPlay()
{
	Super::BeginPlay();

	CurrentAmmoCount = MaxAmmoCount;
}

void ASNGRangedWeaponBase::PlayImpactEffects(EPhysicalSurface SurfaceType, FVector ImpactPoint)
{
	Super::PlayImpactEffects(SurfaceType, ImpactPoint);

}

void ASNGRangedWeaponBase::PlayFireEffect(FVector TraceEnd)
{
}

void ASNGRangedWeaponBase::Fire()
{
}
